Index: c/src/lib/libcpu/sh/sh7045/include/Makefile.am
===================================================================
--- c/src/lib/libcpu/sh/sh7045/include/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/lib/libcpu/sh/sh7045/include/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -5,5 +5,5 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = io_types.h null.h sci.h sh7_pfc.h sh7_sci.h
+H_FILES = null.h sci.h sh7_pfc.h sh7_sci.h
 
 # NOTE: Unlike other CPUS, we install into a subdirectory to avoid
Index: c/src/tests/itrontests/itrontask01/Makefile.am
===================================================================
--- c/src/tests/itrontests/itrontask01/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/itrontests/itrontask01/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -25,5 +25,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/itrontests.am
 
Index: c/src/tests/itrontests/itrontask02/Makefile.am
===================================================================
--- c/src/tests/itrontests/itrontask02/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/itrontests/itrontask02/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -25,5 +25,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/itrontests.am
 
Index: c/src/tests/itrontests/itrontask03/Makefile.am
===================================================================
--- c/src/tests/itrontests/itrontask03/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/itrontests/itrontask03/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -25,5 +25,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/itrontests.am
 
Index: c/src/tests/itrontests/itrontask04/Makefile.am
===================================================================
--- c/src/tests/itrontests/itrontask04/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/itrontests/itrontask04/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -25,5 +25,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/itrontests.am
 
Index: c/src/tests/itrontests/itrontime01/Makefile.am
===================================================================
--- c/src/tests/itrontests/itrontime01/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/itrontests/itrontime01/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -25,5 +25,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/itrontests.am
 
Index: c/src/tests/libtests/cpuuse/Makefile.am
===================================================================
--- c/src/tests/libtests/cpuuse/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/libtests/cpuuse/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/libtests.am
 
Index: c/src/tests/libtests/malloctest/Makefile.am
===================================================================
--- c/src/tests/libtests/malloctest/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/libtests/malloctest/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/libtests.am
 
Index: c/src/tests/libtests/monitor/Makefile.am
===================================================================
--- c/src/tests/libtests/monitor/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/libtests/monitor/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -27,5 +27,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/libtests.am
 
Index: c/src/tests/libtests/putenvtest/Makefile.am
===================================================================
--- c/src/tests/libtests/putenvtest/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/libtests/putenvtest/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/libtests.am
 
Index: c/src/tests/libtests/rtems++/Makefile.am
===================================================================
--- c/src/tests/libtests/rtems++/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/libtests/rtems++/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/libtests.am
 
@@ -33,9 +33,9 @@
 #
 
-LD_LIBS += $(CPLUS_LD_LIBS)
+if HAS_CXX
+LD_LIBS += -lrtems++
 
-if HAS_CXX
 ${PGM}: $(OBJS) $(LINK_FILES)
-	$(make-exe)
+	$(make-cxx-exe)
 
 all-local: $(ARCH) $(TMPINSTALL_FILES)
Index: c/src/tests/libtests/rtmonuse/Makefile.am
===================================================================
--- c/src/tests/libtests/rtmonuse/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/libtests/rtmonuse/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/libtests.am
 
Index: c/src/tests/libtests/stackchk/Makefile.am
===================================================================
--- c/src/tests/libtests/stackchk/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/libtests/stackchk/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/libtests.am
 
Index: c/src/tests/libtests/termios/Makefile.am
===================================================================
--- c/src/tests/libtests/termios/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/libtests/termios/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/libtests.am
 
Index: c/src/tests/mptests/mp01/node1/Makefile.am
===================================================================
--- c/src/tests/mptests/mp01/node1/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/mptests/mp01/node1/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -27,5 +27,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/mptests.am
 
Index: c/src/tests/mptests/mp01/node2/Makefile.am
===================================================================
--- c/src/tests/mptests/mp01/node2/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/mptests/mp01/node2/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -27,5 +27,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/mptests.am
 
Index: c/src/tests/mptests/mp02/node1/Makefile.am
===================================================================
--- c/src/tests/mptests/mp02/node1/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/mptests/mp02/node1/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -27,5 +27,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/mptests.am
 
Index: c/src/tests/mptests/mp02/node2/Makefile.am
===================================================================
--- c/src/tests/mptests/mp02/node2/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/mptests/mp02/node2/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -27,5 +27,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/mptests.am
 
Index: c/src/tests/mptests/mp03/node1/Makefile.am
===================================================================
--- c/src/tests/mptests/mp03/node1/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/mptests/mp03/node1/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -27,5 +27,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/mptests.am
 
Index: c/src/tests/mptests/mp03/node2/Makefile.am
===================================================================
--- c/src/tests/mptests/mp03/node2/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/mptests/mp03/node2/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -27,5 +27,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/mptests.am
 
Index: c/src/tests/mptests/mp04/node1/Makefile.am
===================================================================
--- c/src/tests/mptests/mp04/node1/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/mptests/mp04/node1/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -27,5 +27,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/mptests.am
 
Index: c/src/tests/mptests/mp04/node2/Makefile.am
===================================================================
--- c/src/tests/mptests/mp04/node2/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/mptests/mp04/node2/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -27,5 +27,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/mptests.am
 
Index: c/src/tests/mptests/mp05/node1/Makefile.am
===================================================================
--- c/src/tests/mptests/mp05/node1/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/mptests/mp05/node1/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -27,5 +27,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/mptests.am
 
Index: c/src/tests/mptests/mp05/node2/Makefile.am
===================================================================
--- c/src/tests/mptests/mp05/node2/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/mptests/mp05/node2/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -27,5 +27,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/mptests.am
 
Index: c/src/tests/mptests/mp06/node1/Makefile.am
===================================================================
--- c/src/tests/mptests/mp06/node1/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/mptests/mp06/node1/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -27,5 +27,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/mptests.am
 
Index: c/src/tests/mptests/mp06/node2/Makefile.am
===================================================================
--- c/src/tests/mptests/mp06/node2/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/mptests/mp06/node2/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -27,5 +27,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/mptests.am
 
Index: c/src/tests/mptests/mp07/node1/Makefile.am
===================================================================
--- c/src/tests/mptests/mp07/node1/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/mptests/mp07/node1/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -27,5 +27,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/mptests.am
 
Index: c/src/tests/mptests/mp07/node2/Makefile.am
===================================================================
--- c/src/tests/mptests/mp07/node2/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/mptests/mp07/node2/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -27,5 +27,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/mptests.am
 
Index: c/src/tests/mptests/mp08/node1/Makefile.am
===================================================================
--- c/src/tests/mptests/mp08/node1/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/mptests/mp08/node1/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -27,5 +27,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/mptests.am
 
Index: c/src/tests/mptests/mp08/node2/Makefile.am
===================================================================
--- c/src/tests/mptests/mp08/node2/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/mptests/mp08/node2/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -27,5 +27,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/mptests.am
 
Index: c/src/tests/mptests/mp09/node1/Makefile.am
===================================================================
--- c/src/tests/mptests/mp09/node1/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/mptests/mp09/node1/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -27,5 +27,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/mptests.am
 
Index: c/src/tests/mptests/mp09/node2/Makefile.am
===================================================================
--- c/src/tests/mptests/mp09/node2/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/mptests/mp09/node2/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -27,5 +27,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/mptests.am
 
Index: c/src/tests/mptests/mp10/node1/Makefile.am
===================================================================
--- c/src/tests/mptests/mp10/node1/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/mptests/mp10/node1/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -27,5 +27,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/mptests.am
 
Index: c/src/tests/mptests/mp10/node2/Makefile.am
===================================================================
--- c/src/tests/mptests/mp10/node2/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/mptests/mp10/node2/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -27,5 +27,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/mptests.am
 
Index: c/src/tests/mptests/mp11/node1/Makefile.am
===================================================================
--- c/src/tests/mptests/mp11/node1/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/mptests/mp11/node1/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -27,5 +27,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/mptests.am
 
Index: c/src/tests/mptests/mp11/node2/Makefile.am
===================================================================
--- c/src/tests/mptests/mp11/node2/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/mptests/mp11/node2/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -27,5 +27,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/mptests.am
 
Index: c/src/tests/mptests/mp12/node1/Makefile.am
===================================================================
--- c/src/tests/mptests/mp12/node1/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/mptests/mp12/node1/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -27,5 +27,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/mptests.am
 
Index: c/src/tests/mptests/mp12/node2/Makefile.am
===================================================================
--- c/src/tests/mptests/mp12/node2/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/mptests/mp12/node2/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -27,5 +27,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/mptests.am
 
Index: c/src/tests/mptests/mp13/node1/Makefile.am
===================================================================
--- c/src/tests/mptests/mp13/node1/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/mptests/mp13/node1/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -27,5 +27,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/mptests.am
 
Index: c/src/tests/mptests/mp13/node2/Makefile.am
===================================================================
--- c/src/tests/mptests/mp13/node2/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/mptests/mp13/node2/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -27,5 +27,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/mptests.am
 
Index: c/src/tests/mptests/mp14/node1/Makefile.am
===================================================================
--- c/src/tests/mptests/mp14/node1/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/mptests/mp14/node1/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -28,5 +28,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/mptests.am
 
Index: c/src/tests/mptests/mp14/node2/Makefile.am
===================================================================
--- c/src/tests/mptests/mp14/node2/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/mptests/mp14/node2/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -28,5 +28,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/mptests.am
 
Index: c/src/tests/psxtests/psx04/Makefile.am
===================================================================
--- c/src/tests/psxtests/psx04/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/psxtests/psx04/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/psxtests.am
 
Index: c/src/tests/psxtests/psx05/Makefile.am
===================================================================
--- c/src/tests/psxtests/psx05/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/psxtests/psx05/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/psxtests.am
 
Index: c/src/tests/psxtests/psx06/Makefile.am
===================================================================
--- c/src/tests/psxtests/psx06/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/psxtests/psx06/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/psxtests.am
 
Index: c/src/tests/psxtests/psx07/Makefile.am
===================================================================
--- c/src/tests/psxtests/psx07/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/psxtests/psx07/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/psxtests.am
 
Index: c/src/tests/psxtests/psx08/Makefile.am
===================================================================
--- c/src/tests/psxtests/psx08/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/psxtests/psx08/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/psxtests.am
 
Index: c/src/tests/psxtests/psx09/Makefile.am
===================================================================
--- c/src/tests/psxtests/psx09/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/psxtests/psx09/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/psxtests.am
 
Index: c/src/tests/psxtests/psx10/Makefile.am
===================================================================
--- c/src/tests/psxtests/psx10/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/psxtests/psx10/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/psxtests.am
 
Index: c/src/tests/psxtests/psx11/Makefile.am
===================================================================
--- c/src/tests/psxtests/psx11/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/psxtests/psx11/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/psxtests.am
 
Index: c/src/tests/psxtests/psx12/Makefile.am
===================================================================
--- c/src/tests/psxtests/psx12/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/psxtests/psx12/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/psxtests.am
 
Index: c/src/tests/psxtests/psx13/Makefile.am
===================================================================
--- c/src/tests/psxtests/psx13/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/psxtests/psx13/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -23,5 +23,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/psxtests.am
 
Index: c/src/tests/psxtests/psxcancel/Makefile.am
===================================================================
--- c/src/tests/psxtests/psxcancel/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/psxtests/psxcancel/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/psxtests.am
 
Index: c/src/tests/psxtests/psxfile01/Makefile.am
===================================================================
--- c/src/tests/psxtests/psxfile01/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/psxtests/psxfile01/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -23,5 +23,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/psxtests.am
 
Index: c/src/tests/psxtests/psxhdrs/Makefile.am
===================================================================
--- c/src/tests/psxtests/psxhdrs/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/psxtests/psxhdrs/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -32,5 +32,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 
 all-local: ${ARCH} ${OBJS}
Index: c/src/tests/psxtests/psxmount/Makefile.am
===================================================================
--- c/src/tests/psxtests/psxmount/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/psxtests/psxmount/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -23,5 +23,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/psxtests.am
 
Index: c/src/tests/psxtests/psxmsgq01/Makefile.am
===================================================================
--- c/src/tests/psxtests/psxmsgq01/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/psxtests/psxmsgq01/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/psxtests.am
 
Index: c/src/tests/psxtests/psxreaddir/Makefile.am
===================================================================
--- c/src/tests/psxtests/psxreaddir/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/psxtests/psxreaddir/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -23,5 +23,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/psxtests.am
 
Index: c/src/tests/psxtests/psxsem01/Makefile.am
===================================================================
--- c/src/tests/psxtests/psxsem01/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/psxtests/psxsem01/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/psxtests.am
 
Index: c/src/tests/psxtests/psxstat/Makefile.am
===================================================================
--- c/src/tests/psxtests/psxstat/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/psxtests/psxstat/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -23,5 +23,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/psxtests.am
 
Index: c/src/tests/psxtests/psxtime/Makefile.am
===================================================================
--- c/src/tests/psxtests/psxtime/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/psxtests/psxtime/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -23,5 +23,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/psxtests.am
 
Index: c/src/tests/psxtests/psxtimer/Makefile.am
===================================================================
--- c/src/tests/psxtests/psxtimer/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/psxtests/psxtimer/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/psxtests.am
 
Index: c/src/tests/samples/base_mp/node1/Makefile.am
===================================================================
--- c/src/tests/samples/base_mp/node1/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/samples/base_mp/node1/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -27,5 +27,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sample.am
 
Index: c/src/tests/samples/base_mp/node2/Makefile.am
===================================================================
--- c/src/tests/samples/base_mp/node2/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/samples/base_mp/node2/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -27,5 +27,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sample.am
 
Index: c/src/tests/samples/base_sp/Makefile.am
===================================================================
--- c/src/tests/samples/base_sp/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/samples/base_sp/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -25,5 +25,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sample.am
 
Index: c/src/tests/samples/cdtest/Makefile.am
===================================================================
--- c/src/tests/samples/cdtest/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/samples/cdtest/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -28,5 +28,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sample.am
 
@@ -36,8 +36,6 @@
 
 if HAS_CXX
-LD_LIBS += $(CPLUS_LD_LIBS)
-
 ${PGM}: $(OBJS) $(LINK_FILES)
-	$(make-exe)
+	$(make-cxx-exe)
 
 all-local: ${ARCH} $(TMPINSTALL_FILES)
Index: c/src/tests/samples/hello/Makefile.am
===================================================================
--- c/src/tests/samples/hello/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/samples/hello/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -25,5 +25,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sample.am
 
Index: c/src/tests/samples/minimum/Makefile.am
===================================================================
--- c/src/tests/samples/minimum/Makefile.am	(revision b9adf9b1809c244f831e1b15dca57dd71f967fb1)
+++ c/src/tests/samples/minimum/Makefile.am	(revision 6343f19b5b14739cd814b95daa0cb1b355719b5a)
@@ -22,5 +22,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sample.am
 
